Bug 31254 - Add additional fields for accountlines
Summary: Add additional fields for accountlines
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2022-07-28 14:26 UTC by Julian Maurice
Modified: 2022-09-22 11:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31254: Add additional fields for accountlines (19.82 KB, patch)
2022-07-28 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Make a payment (35.18 KB, image/png)
2022-07-29 16:26 UTC, Emmanuel Bétemps
Details
Bug 31254: Add additional fields for accountlines (19.87 KB, patch)
2022-08-22 14:15 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 31254: Add additional fields for accountlines (19.93 KB, patch)
2022-08-28 12:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2022-07-28 14:26:44 UTC

    
Comment 1 Julian Maurice 2022-07-28 14:27:34 UTC
Created attachment 138207 [details] [review]
Bug 31254: Add additional fields for accountlines

Test plan:
1. Go to Admin » Additional fields
   There are two new categories: "Account lines (credit)" and
   "Account lines (debit)"
2. Create fields for both categories, with and without an authorized
   value category
3. Go to a user's accounting page
4. Create a manual invoice. Verify that all "debit" fields are there,
   put a value in them and save
5. Create a manual credit. Verify that all "credit" fields are there,
   put a value in them and save
6. Make a payment. Verify that all "credit" fields are there, put a
   value in them and save
7. Go to the transactions tab, click on the "Details" button for the
   lines you just created and verify that the additional fields are
   there
Comment 2 Emmanuel Bétemps 2022-07-29 16:26:05 UTC
Created attachment 138370 [details]
Make a payment

Steps 1 to 5 are ok (I see the credits / debits fileds I created)

At step 6, I don't see any Credit fields as I saw them at steps 4-5
Maybe I don't look at the right place ? (screenshot taken)
Comment 3 Julian Maurice 2022-08-22 07:18:50 UTC
(In reply to Emmanuel Bétemps from comment #2)
> Created attachment 138370 [details]
> Make a payment
> 
> Steps 1 to 5 are ok (I see the credits / debits fileds I created)
> 
> At step 6, I don't see any Credit fields as I saw them at steps 4-5
> Maybe I don't look at the right place ? (screenshot taken)

Sorry, it wasn't very clear. Additional fields are not supposed to be on this page. You need to click "Pay" or "Write off" to see them
Comment 4 sandboxes@biblibre.com 2022-08-22 14:15:25 UTC
Created attachment 139604 [details] [review]
Bug 31254: Add additional fields for accountlines

Test plan:
1. Go to Admin » Additional fields
   There are two new categories: "Account lines (credit)" and
   "Account lines (debit)"
2. Create fields for both categories, with and without an authorized
   value category
3. Go to a user's accounting page
4. Create a manual invoice. Verify that all "debit" fields are there,
   put a value in them and save
5. Create a manual credit. Verify that all "credit" fields are there,
   put a value in them and save
6. Make a payment. Verify that all "credit" fields are there, put a
   value in them and save
7. Go to the transactions tab, click on the "Details" button for the
   lines you just created and verify that the additional fields are
   there

Signed-off-by: Emmanuel Bétemps <e.betemps@gmail.com>
Comment 5 Emmanuel Bétemps 2022-08-22 14:17:07 UTC
thanks, I understood and did as you said
it works
Comment 6 Katrin Fischer 2022-08-28 12:38:17 UTC
Created attachment 139910 [details] [review]
Bug 31254: Add additional fields for accountlines

Test plan:
1. Go to Admin » Additional fields
   There are two new categories: "Account lines (credit)" and
   "Account lines (debit)"
2. Create fields for both categories, with and without an authorized
   value category
3. Go to a user's accounting page
4. Create a manual invoice. Verify that all "debit" fields are there,
   put a value in them and save
5. Create a manual credit. Verify that all "credit" fields are there,
   put a value in them and save
6. Make a payment. Verify that all "credit" fields are there, put a
   value in them and save
7. Go to the transactions tab, click on the "Details" button for the
   lines you just created and verify that the additional fields are
   there

Signed-off-by: Emmanuel Bétemps <e.betemps@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2022-08-28 12:40:06 UTC
This works as described and I think it will be a nice addition to the additional field system. 

I'd be interested in use cases for this - Julian, maybe you can share what triggered this development?

Also, any plans to revive Bug 11844 - Additional fields for order lines?
Comment 8 Tomás Cohen Arazi 2022-09-21 22:05:06 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!